--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Set the ivar value in the resource
- !ruby/struct:SM::Flow::P 
  body: "@param [Resource] resource"
- !ruby/struct:SM::Flow::VERB 
  body: "  the resource to set\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Object] value"
- !ruby/struct:SM::Flow::VERB 
  body: "  the value to set in the resource\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Object]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the value set in the resource\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Property#set!
is_singleton: false
name: set!
params: (resource, value)
visibility: public
